%define anolis_release 1

%global systemd_unit gnome-remote-desktop.service

%global enable_rdp 0

Name:           gnome-remote-desktop
Version:        44.1
Release:        %{anolis_release}%{?dist}
Summary:        GNOME Remote Desktop screen share service

License:        GPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/gnome-remote-desktop
Source0:        https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz

# Adds encryption support (requires patched LibVNCServer)
Patch0:         gnutls-anontls.patch

BuildRequires:  asciidoc gcc cmake systemd-rpm-macros
BuildRequires:  meson >= 0.47.0
BuildRequires:  pkgconfig(cairo) pkgconfig(epoxy) pkgconfig(ffnvcodec) pkgconfig(gbm) pkgconfig(gio-unix-2.0)
%if 0%{?enable_rdp}
BuildRequires:  pkgconfig(fdk-aac) pkgconfig(freerdp2) pkgconfig(fuse3) pkgconfig(winpr2)
%endif
BuildRequires:  pkgconfig(glib-2.0) >= 2.68
BuildRequires:  pkgconfig(gnutls) pkgconfig(gudev-1.0) pkgconfig(libdrm) pkgconfig(libnotify) pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libsecret-1) pkgconfig(systemd) pkgconfig(xkbcommon) pkgconfig(tss2-esys)
BuildRequires:  pkgconfig(libvncserver) >= 0.9.11-7
BuildRequires:  pkgconfig(tss2-mu) pkgconfig(tss2-rc) pkgconfig(tss2-tctildr) gettext

Requires:       pipewire >= 0.3.0

Obsoletes:      vino < 3.22.0-21

%description
GNOME Remote Desktop is a remote desktop and screen sharing service for the
GNOME desktop environment.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}


%build
%meson \
%if 0%{?enable_rdp}
    -Drdp=true \
    -Dfdk_aac=true \
%else
    -Drdp=false \
    -Dfdk_aac=false \
%endif
    -Dsystemd=true \
    -Dvnc=true
%meson_build


%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%post
%systemd_user_post %{systemd_unit}


%preun
%systemd_user_preun %{systemd_unit}


%postun
%systemd_user_postun_with_restart %{systemd_unit}


%files -f %{name}.lang
%license COPYING
%{_bindir}/grdctl
%dir %{abidir}
%{abidir}/grdctl-option.list
%{_libexecdir}/gnome-remote-desktop-daemon
%{_userunitdir}/%{systemd_unit}
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.enums.xml
%if 0%{?enable_rdp}
%{_datadir}/gnome-remote-desktop/
%endif
%{_mandir}/man1/grdctl.1*

%files doc
%doc README.md

%changelog
* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 44.1-1
- New version 44.1

* Tue Apr 11 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 44.0-1
- Init upstream from 44.0
